﻿using System;
using System.Configuration;
using System.Globalization;

namespace Development_III_Testing
{
    #region "Implicit dependency and global state injection"

    public static class NoDependencyInjection
    {
        public static string ToStringRepresentation(double x)
        {
            IFormatProvider formatProvider = new CultureInfo(ConfigurationManager.AppSettings["ApplicationCulture"]);

            return Convert.ToString(x, formatProvider);
        }
    }

    #endregion


    #region "Dependency injection"

    public class DependencyInjection
    {
        private IFormatProvider FormatProvider
        {
            get;
            set;
        }

        public DependencyInjection(IFormatProvider formatProvider)
        {
            FormatProvider = formatProvider;
        }

        public string ToStringRepresentation(double x)
        {
            return Convert.ToString(x, FormatProvider);
        }
    }

    #endregion
}
