﻿using System;
using System.Globalization;

using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Development_III_Testing.Tests
{
    [TestClass]
    public class DependencyInjectionTests
    {
        [TestMethod]
        public void TestToDouble_CzechCulture()
        {
            DependencyInjection czechCultureInstance = new DependencyInjection(new CultureInfo("cs-cz"));

            double x = 2.5;

            string actual = czechCultureInstance.ToStringRepresentation(x);

            Assert.AreEqual("2,5", actual);
        }


        [TestMethod]
        public void TestToDouble_EnglishCulture()
        {
            DependencyInjection engishCultureInstance = new DependencyInjection(new CultureInfo("en-us"));

            double x = 2.5;

            string actual = engishCultureInstance.ToStringRepresentation(x);

            Assert.AreEqual("2.5", actual);
        }
    }
}
