﻿using System;
using System.Globalization;
using System.Collections.Generic;

using NSubstitute;

using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Development_III_Testing.Tests
{
    [TestClass]
    public class ProductBundleTests
    {
        [TestMethod]
        public void TestGetTotalPrice_ThreeProducts()
        {
            IProduct product1 = Substitute.For<IProduct>();
            product1.GetPrice().ReturnsForAnyArgs(5);

            IProduct product2 = Substitute.For<IProduct>();
            product2.GetPrice().ReturnsForAnyArgs(6);

            double actual = new ProductBundle(new List<IProduct>() { product1, product2 }).GetTotalPrice();

            Assert.AreEqual(11, actual);
        }
    }
}
